Spigot MobTools 1.1

Show spawn radii and blocks where light-level is low enough for mobs to spawn.

  1. -jr

    -jr

    -jr submitted a new resource:

    MobTools - Show spawn radii and blocks where light-level is low enough for mobs to spawn.

    Read more about this resource...
     
  2. -jr

    -jr

  3. -jr

    -jr

  4. Good day. Tried to load this earlier, but it wouldn't load. It gave an error message advising:

    [Server thread/ERROR]: Could not load 'plugins\MobTools.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: dev/rifkin/MobTools/MobTools has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0

    The thing is, I have the most recent Java version installed. Any thoughts?
     
  5. -jr

    -jr

  6. -jr

    -jr

    Hi anselhelm, I had compiled the plugin using Java 11 and I guess your system is expecting Java 8. I have just posted a resource update changing the build to java 8.

    Apologies for the delayed reply. Hope this will work for you!
     
    #6 -jr, Jan 12, 2021
    Last edited: Jan 12, 2021
  7. No need to apologise: I am very thankful for the reply and the update :)
     
    • Friendly Friendly x 1
  8. Are there permission nodes for this plugin?
     
  9. -jr

    -jr

    No, not currently. I figured I'd add them if people ended up using the plugin, though. I'll plan on adding them here in the next day or two.
     
    #9 -jr, Jan 13, 2021
    Last edited: Jan 14, 2021
  10. -jr

    -jr

  11. -jr

    -jr

    Permission nodes added. Hope it works well for you :)
     
  12. Hi,

    Please could you confirm whether this works on 1.17?

    Thanks ^_^